# widget_toolbar(3tk) 3.0 widget "Various megawidgets"

## Name

widget_toolbar - Toolbar Megawidget

## Synopsis

- package require Tcl 8.4
- package require Tk 8.4
- package require widget ?3.0?
- package require widget::toolbar ?1.0?

- widget::toolbar pathname ?options?
- getframe
- add ?item? ?args?
- delete item1 ?item2? ?...?
- itemcget symbol option
- itemconfigure symbol ?args?
- items ?pattern?
- remove ?-destroy? item1 ?item2? ?...?

## Description

This package provides a toolbar megawidget (snidget). It makes use of the Tile/Ttk themed widget set.

widget::toolbar pathname ?options?
getframe
add ?item? ?args?
delete item1 ?item2? ?...?
itemcget symbol option
itemconfigure symbol ?args?
items ?pattern?
remove ?-destroy? item1 ?item2? ?...?

## WIDGET OPTIONS

-ipad
-pad
-separator

## ITEM OPTIONS

-pad
-separator
-sticky
-weight

## EXAMPLE

    package require widget::toolbar ; # or widget::all
    set t [widget::toolbar .t]
    pack $t -fill x -expand 1
    $t add button [button .b -text foo]
    $t add separator -pad {2 4}
    $t add button [button .c -text bar]

## Bugs, Ideas, Feedback

This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category widget::toolbar of the Tklib Trackers. Please also report any ideas for enhancements you may have for either package and/or documentation.

## Keywords

megawidget, snit, toolbar, widget

## Category

Widget